Home | All Classes | Grouped Classes | Index | Search

# CL_SpriteDescription::add_gridclipped_frames

Adds images formed in a grid.

    	void add_gridclipped_frames(
    		CL_PixelBuffer provider, int xpos, int ypos, int width, int height, int xarray = 1, int yarray = 1, int array_skipframes = 0, int xspacing = 0, int yspacing = 0);

Parameters:

provider
  Image source.
xpos, ypos
  Position of where image grid starts.
width, height
  Size of a frame in the grid.
xarray, yarray
  Number of columns and rows in grid.
array_skipframes
  Number of frames to skip at last gridline.
xspacing, yspacing
  Pixel interspacing between grid frames.
delete_provider
  If true, deletes provider when sprite description is destroyed.

Detailed description:

This function will cut out a grid of frames from one image.

See also:

CL_SpriteDescription | CL_PixelBuffer

Questions or comments, write to the ClanLib mailing list.